Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.gotoandplay.smartfoxserver.webserver
Class WebHelper

    java.lang.Object
      it.gotoandplay.smartfoxserver.webserver.WebHelper

    public class WebHelper

extends java.lang.Object

Basic helper class for Jetty + Jython servlets

Since:
  version 1.5.0

Field Summary
`static int` | `ONE_DAY`
`static int` | `ONE_HOUR`
`static int` | `ONE_MINUTE`
`static int` | `ONE_SECOND`

Constructor Summary
`WebHelper()`

Method Summary
`static java.util.Map` | `getServerStatus()` get the server status
`static boolean` | `verifyUploadUser(java.lang.String uid, java.lang.String nick, java.lang.String ipAdr)` Verify the params sent by the user with the upload request

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ONE_DAY

    public static final int ONE_DAY

See Also:
  Constant Field Values

### ONE_HOUR

    public static final int ONE_HOUR

See Also:
  Constant Field Values

### ONE_MINUTE

    public static final int ONE_MINUTE

See Also:
  Constant Field Values

### ONE_SECOND

    public static final int ONE_SECOND

See Also:
  Constant Field Values

Constructor Detail

### WebHelper

    public WebHelper()

Method Detail

### getServerStatus

    public static java.util.Map getServerStatus()

  get the server status

  Returns:
    a map with a set of keys of the status.
    The keys are:
    - version: the server version
    - zones: the number of active zones
    - rooms: the number of active rooms
    - users: the numberof active users
    - uptime: the server uptime

### verifyUploadUser

    public static boolean verifyUploadUser(java.lang.String uid,
                                           java.lang.String nick,
                                           java.lang.String ipAdr)

  Verify the params sent by the user with the upload request

  Parameters:
    `uid` - the user id
    `nick` - the user nick
  Returns:
    true if a user exists with this id and name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD